Recompilando o kernel com suporte a placas de rede Encore rtl8139D (Silan)

Quem já teve problemas com placas de rede da Encore com chipset da Realtek 8139D da fabricante (Silan) em kernels 2.6.x? O único kernel que achei que dá suporte a Silan foi o 2.6.19.1 com patch. Eis aqui como consegui que essa placa de rede funcionasse.

[ Hits: 37.394 ]

Por: Lucas Ramos em 09/02/2007


Modificando o lilo



Agora faça:

# mcedit /etc/lilo.conf

E adicione:

image = /boot/vmlinuz-2.6.19.1
root = /dev/hda1
label = linux-2.6.19.1
read-only
#Linux bootable partition config ends

IMPORTANTE: Onde tem root = /dev/hda1 é a partição na qual está instalado o Linux, no meu caso foi em /dev/hda1, altere de acordo com sua configuração.

Agora pressione a tecla <F10> clique em yes para salvar a alteração.

Digite:

# lilo

Depois reinicie: CTRL+ALT+DEL

Agora só posso te desejar boa sorte e quaisquer dúvidas estamos aí!

Página anterior    

Páginas do artigo
   1. Baixando os fontes
   2. Recompilando o kernel
   3. Modificando o lilo
Outros artigos deste autor
Nenhum artigo encontrado.
Leitura recomendada

KernelCheck - Instalando o kernel mais recente em distros Debian-like e outras

kernel Linux otimizado - Compilação e teste

Compilar e habilitar os módulos ip_table e iptable_nat no kernel 2.6.26 no Debian Linux

As incríveis aventuras de um RedHat 9 migrando para kernel 2.6

Máquinas velhas a todo vapor

  
Comentários
[1] Comentário enviado por dupotter em 09/02/2007 - 14:32h

mto bom artigo! já passei mals momentos por conta dessa plaquinha do inferno que cismava em não ser reconhecida.

[2] Comentário enviado por girlmilla em 09/02/2007 - 17:03h

Parabéns pelo artigo! Muito bem feito! :D

[3] Comentário enviado por _Dr4k0_ em 10/02/2007 - 12:38h

essa placa é um inferno :p

não só em kernels 2.6.x como em 2.4.x tb..

[4] Comentário enviado por Byte em 29/06/2007 - 18:44h

s

[5] Comentário enviado por Byte em 29/06/2007 - 18:48h

Socorro! já tentei de tudo quanto é forma compilar este kernel mais nao vai! quando eu instalo (dpkg -i kernel-gerado.deb) no momento da instalacao ele da um erro dizendo que o modulo mptscsih nao foi encontrado e quando eu tento subir ele da um erro de devfs e gera um kernel panic.
Estou tetando fazer a instalação a partir de uma distribuição Debian Sarge com o kernel 2.6.8 preciso atualizar para o 2.6.19 justamente para solucionar este lance das placas...
POR FAVOR me ajude...

Desde já agradeço

[6] Comentário enviado por DanielMarins em 15/02/2008 - 22:19h

Cara vo tentar instalar no Ubuntu Dapper 6.06 Kernel 2.6.15 sera q da?

[7] Comentário enviado por sequisso em 25/02/2008 - 23:33h

Kra já faz um tempinho que eu fiz isso, mas não custa nada tentar, mas no Ubuntu gusty 7.10 não tem suporte a esse tipo de placa não?

[8] Comentário enviado por svicente em 08/06/2008 - 12:19h

Kra, seu art. eh mt bom, mas a unica pte. q eu naum sei como fz e a atualizacao para o kernel linux-2.6.19.1. Detalhe, naum tenho rede nessa maquina e naum posso baixar via apt-get... O Ubuntu instalado nela eh 6.06 Dapper. Jah tentei passar para versoes + novas mas o hardware naum suportou. Q q eu faco? Desisto, chuto o balde, compro outra placa?

Concordo com todos os q disseram q ela eh um "inferno". Ô plaquinha sem-vergonha essa do Silan. Faz 1 mes q eu olho pra ela e dah uma vontade de parti-la no meio....

[9] Comentário enviado por sequisso em 10/06/2008 - 21:38h

E ai svicente, então qual a versão do kernel, tenta baixar em outro lugar o seguinte arquivo http://gurukumara.googlepages.com/sc92031-2.6.tar.gz, ai você descompacta ele, entra na pasta da um make e depois um make install, mas antes da uma olhada no readme que tem dentro dele, lá vai estar falando passo a passo como fazer.

[10] Comentário enviado por batista_rs em 03/06/2009 - 09:56h

cara muito bom esse teu artigo
pq essa plakinha acho que foi inventada por satanaz
hehehehehe


Contribuir com comentário




Patrocínio

Site hospedado pelo provedor RedeHost.
Linux banner
Linux banner
Linux banner

Destaques

Artigos

Dicas

Tópicos

Top 10 do mês

Scripts